<?php
if (!defined('ABSPATH')) {
  exit;
}

// Add item tu WooCommerce menu and configuration page
function mcisps_item_woocommerce_menu()
{
  add_submenu_page(
    'woocommerce',
    'Simple Product Sample', // Page title
    'Simple Product Sample', // Menu title
    'edit_posts', // permissions
    'simple_product_sample', // slug
    'mcisps_configuration_panel', // function that contains the configuration code
    75 // position
  );
}
add_action("admin_menu", "mcisps_item_woocommerce_menu");

// Plugin configuration function
function mcisps_configuration_panel()
{

  echo '<div id="mcisps_background_title_panel">';
  echo '<h2 id="mcisps_title_panel">';
  echo 'SIMPLE PRODUCT SAMPLE';
  echo '</h2>';
  echo '</div>';

  // Get form data and save it
  mcisps_save_panel_form();
?>

  <div id="mcisps_help">
    <h3><?php esc_html_e('HOW TO CONFIGURE YOUR SAMPLES:') ?></h3>
    <b><?php esc_html_e('Configure how you want to show the sample on each product and its price in:') ?></b>
    <br>
    <p><?php esc_html_e('Products->Edit product page->Inventory->Simple Product Sample') ?> </p>
  </div>

  <form action="" method="post" class="mcisps_form_options">

    <hr>

    <h3><?php esc_html_e('OPTIONS', 'simple_product_sample') ?></h3>

    <table class="mcisps_options">
      <tbody>

        <tr>
          <th>
            <label for="max_samples"><?php esc_html_e('Maximum number of samples per order', 'simple_product_sample') ?></label>
          </th>
          <td>
            <input type="number" name="max_samples" id="max_samples" max="1000" min="1" value="<?php if (get_option('mcisps_max_samples') !== null && get_option('mcisps_max_samples') !== "") {
                                                                                                  echo esc_html(get_option('mcisps_max_samples'));
                                                                                                } else {
                                                                                                  echo 3;
                                                                                                }
                                                                                                ?>">
          </td>
        </tr>
        <tr>
          <th>
            <label for="background_button_color"><?php esc_html_e('Background button color', 'simple_product_sample') ?></label>
          </th>
          <td>
            <input type="color" name="background_button_color" id="background_button_color" value="<?php echo esc_attr(get_option('mcisps_background_button_color')) ?>">
          </td>
        </tr>
        <tr>
          <th>
            <label for="text_button_color" class="mcisps_label"><?php esc_html_e('Text button color', 'simple_product_sample') ?></label>
          </th>
          <td>
            <input type="color" class="col-6" name="text_button_color" id="text_button_color" value="<?php echo esc_attr(get_option('mcisps_text_button_color')) ?>">
          </td>
        </tr>
        <tr>
          <th>
            <input type="checkbox" name="no_variations" id="no_variations" <?php if (get_option('mcisps_no_variations') != null && get_option('mcisps_no_variations') == '1') {
                                                                              echo 'checked';
                                                                            } ?>>
          </th>
          <td>
            <label for="no_variations"><?php esc_html_e('Prevent the buyer from having to choose options on the product page to order samples of variable products. (Do not add variations details to cart).', 'simple_product_sample') ?></label>
          </td>
        </tr>
        <tr>
          <th>
            <input type="checkbox" name="delete_all_data" id="delete_all_data" <?php if (get_option('mcisps_delete_all_data') != null && get_option('mcisps_delete_all_data') == '1') {
                                                                                  echo 'checked';
                                                                                } ?>>
          </th>
          <td>
            <label for="delete_all_data"><?php esc_html_e('When uninstalling the plugin delete all data (including data configuration) .', 'simple_product_sample') ?></label>
          </td>
        </tr>

      </tbody>
    </table>

    <hr>

    <input type="hidden" name="mcisps_nonce" value="<?php echo wp_create_nonce('mcisps_nonce'); ?>">


    <input type="submit" name="submit_update" class="mcisps button button-primary" value="<?php esc_attr_e('Update', 'simple_product_sample'); ?>">
  </form>

<?php } // end mcisps_configuration_panel