<?php
if (!defined('ABSPATH')) {
    exit;
}

require_once MCISPS_PLUGIN_PATH . 'helpers.php';

function mcisps_save_panel_form()
{

    if (isset($_POST['submit_update'])) {

        //Check nonce field and save data if it is valid
        if (isset($_POST['mcisps_nonce']) && wp_verify_nonce($_POST['mcisps_nonce'], 'mcisps_nonce')) {

            //Set options in DB

            //Max samples field
            if (isset($_POST['max_samples']) && !empty($_POST['max_samples'])) {
                $max_samples = sanitize_text_field($_POST['max_samples']);
                update_option('mcisps_max_samples', $max_samples);
            } else {
                mcisps_display_error('The value of the Maximum number of samples per order field was not saved because it was empty. The previous value has been kept. Type a different new number to save it.');
            }

            //Background button color selector
            if (isset($_POST['background_button_color']) && !empty($_POST['background_button_color'])) {
                $background_button_color = sanitize_hex_color($_POST['background_button_color']);
                update_option('mcisps_background_button_color', $background_button_color);
            } else {
                mcisps_display_error('The value of the Background button color field was not saved because it was empty. The previous color has been kept. Select a different new color to save it.');
            }

            //Text button color selector
            if (isset($_POST['text_button_color']) && !empty($_POST['text_button_color'])) {
                $text_button_color = sanitize_hex_color($_POST['text_button_color']);
                update_option('mcisps_text_button_color', $text_button_color);
            } else {
                mcisps_display_error('The value of the Text button color field was not saved because it was empty. The previous color has been kept. Select a different new color to save it.');
            }

            //No variations checkbox
            if (isset($_POST['no_variations'])) {
                update_option('mcisps_no_variations', '1');
            } else {
                update_option('mcisps_no_variations', '0');
            }

            //Delete all data checkbox
            if (isset($_POST['delete_all_data'])) {
                update_option('mcisps_delete_all_data', '1');
            } else {
                update_option('mcisps_delete_all_data', '0');
            }
        } else {

            mcisps_display_error('The form was not submitted because the nonce field was not valid.');
        } // end if nonce

    } // end submit_update

} // end save_panel_form